package cz.muni.fi.pb162.graphics;

/**
 * This interface represents some graphic shape in 2D space like circle,
 * square, triangle, etc.
 *
 * @author Jan Pavlovic
 * @author Petr Adamek
 */

public interface GraphicShape {
    
    /**
     * Computes and returns area of the shape
     * @return area of the shape
     */
    double getArea();
    
    /**
     * Returns color of this shape
     * @return color of the shape
     */
    String getColor();
}
